View Issue Details

IDProjectCategoryView StatusLast Update
0000208Kali Linux[All Projects] New Tool Requestspublic2014-12-04 15:43
Reportersynistersyntax Assigned Torhertzog  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.6 
Summary0000208: TeamSploit (Penetration Automation Framework and Toolsuite)
Description--------------------
Website
------------------------------
http://www.teamsploit.com

--------------------
Description:
------------------------------
TeamSploit makes group-based penetration testing fun and easy, providing real-time collaboration and automation. TeamSploit is a suite of tools for the Metasploit Framework. TeamSploit should work with any MSF product (including OpenSource, Express, or Pro).

Features Include:

    * Exploitation Automation
    * Automated Post-Exploitation
    * Information and Data Gathering
    * Session Sharing
    * Trojans and Trollware

TeamSploit's primary goal is to automate common penetration testing tasks, and provide access and information to fellow team members.

--------------------
Technical:
------------------------------
Language: Combination of Ruby and Bash
Platform: POSIX
Dependencies:
    * Metasploit (already installed)
    * ruby-gnome2 (already packaged)
    * ruby-gnome2-dev (already packaged)
    * libvte-ruby (already packaged)
    * libgtk2-ruby1.8 (already packaged)
    * libvte-ruby1.8 (already packaged)
    * libgtk2.0-dev (already packaged)
    * libwebkit-dev (already packaged)
    * gtk-webkit-ruby (ruby gem - not in repo)
    * ponder (ruby gem - not in repo)
    * eventmachine (ruby gem - not in repo)
Steps To ReproduceN/A
Additional Information--------------------
Documentation:
------------------------------
Support: http://www.teamsploit.com/help.php
FAQ: http://www.teamsploit.com/faq.php

--------------------
Legal:
------------------------------
License: GPLv3
Registration: No

--------------------
Technical:
------------------------------
Language: Combination of Ruby (1.8) and Bash
Platform: POSIX
Arch: Any
Updates: Subversion
Dependencies:
    * metasploit (already installed)
    * ruby-gnome2 (already packaged)
    * ruby-gnome2-dev (already packaged)
    * libvte-ruby (already packaged)
    * libgtk2-ruby1.8 (already packaged)
    * libvte-ruby1.8 (already packaged)
    * libgtk2.0-dev (already packaged)
    * libwebkit-dev (already packaged)
    * gtk-webkit-ruby (ruby gem - not in repo)
    * ponder (ruby gem - not in repo)
    * eventmachine (ruby gem - not in repo)

--------------------
Current Installation:
------------------------------
Instructions: http://www.teamsploit.com/download.php
Step 1: svn checkout http://svn.code.sf.net/p/teamsploit/code/trunk teamsploit
Step 2: sudo apt-get install ruby-gnome2 ruby-gnome2-dev libvte-ruby libgtk2-ruby1.8 libvte-ruby1.8 libgtk2.0-dev libwebkit-dev
Step 3: sudo gem1.8 install gtk-webkit-ruby ponder eventmachine

--------------------
Additional Information:
------------------------------
I am the copyright owner/developer of TeamSploit - should you have any further questions or concerns please let me know! Should changes need to be made in order to accommodate the packaging process or structure, I'd be happy to oblige.

Activities

synistersyntax

2013-03-28 17:45

reporter   ~0000268

TeamSploit Revision 58 includes Gem bundle.

dookie

2013-08-14 11:34

administrator   ~0000747

The Debian repos has the ruby-eventmachine package. Is this not the same eventmachine gem or does it need to be forked and updated?

rhertzog

2013-08-23 10:42

administrator   ~0000784

The current ruby-eventmachine in Debian lacks rubygems meta-information. A simple rebuild adds them. So I did that in Kali with version 0.12.10-3kali1.

But I'm not quite sure on how to install teamsploit system-wide. The upstream SVN repository doesn't seem to have any Makefile or similar build/installation scripts. synistersyntax, can you enlighten us?

rhertzog

2013-10-07 15:01

administrator   ~0000963

I have uploaded a teamsploit package to kali-proposed-updates. Please test it and report back any problem.

The software can't really be cleanly packaged as it assumes that the user has write rights to the whole directory and it runs a setup script that will happily install files in the metasploit directory outside of dpkg's knowledge... but fixing this requires upstream cooperation. I sent him a mail for information but that's all so far.

Issue History

Date Modified Username Field Change
2013-03-28 15:03 synistersyntax New Issue
2013-03-28 17:45 synistersyntax Note Added: 0000268
2013-08-14 11:34 dookie Note Added: 0000747
2013-08-23 10:42 rhertzog Note Added: 0000784
2013-08-23 10:42 rhertzog Assigned To => rhertzog
2013-08-23 10:42 rhertzog Status new => assigned
2013-10-07 15:01 rhertzog Note Added: 0000963
2013-10-07 15:01 rhertzog Status assigned => resolved
2013-10-07 15:01 rhertzog Fixed in Version => 1.0.6
2013-10-07 15:01 rhertzog Resolution open => fixed
2013-12-06 16:24 Lancha Issue cloned: 0000743